# Virtual Network Computing
from ORL

## VNCviewer for Windows

You can run the windows vncviewer from the command line or from a shortcut and it will prompt you for a display:

`vncviewer`

You can specify a display on the command line:

`vncviewer snoopy:2`

And you can run it with -h to get a list of other important options. The full list is below. These can all take either`-` or `/` as the switch character. Most of the options can also be set from the 'Options...' dialog box which is available from the initial connection prompt before connecting, and some from the system menu by clicking the VNC logo in the top-left corner of the window after connection, and selecting 'Connection options...'.

The system menu also allows you to see some information about the connection, start new connections, and send a Ctrl-Alt-Del to a remote machine. This will only have an effect if the remote server is able to interpret it, currently only true for WinVNC running as a service under NT 4.

There are also now options to send individual Ctrl-down, Ctrl-up, Alt-down and Alt-up messages. This makes it easier to type things like Ctrl-Esc, which are otherwise interpreted locally. Send Ctrl-down, press Esc, and then send Ctrl-up (or just tap the Ctrl key) to clear it.

### Command line options:

`-shared`
  When you make a connection to a VNC server, all other existing connections are normally closed. This option requests that they be left open, allowing you to share the desktop with someone already using it.
`-8bit`
  The viewer will normally accept whatever pixel format the server offers and do the translation locally. This forces it to request 8-bit true-colour (BGR233) from the server, which will reduce network traffic. Useful over modems.
`-swapmouse`
  Many X sessions expect a 3-button mouse. Many PCs have a 2-button mouse. Normally the PC buttons left-middle-right are mapped on to X buttons 1,2,3. This switch causes them to be mapped onto buttons 1,3,2, which may be more useful for two-button users who only have left-right, because they will then get buttons 1 & 2 instead of 1 & 3.

`-belldeiconify`
  VNC allows for the transmission of a 'bell' character, causing a beep at the viewer if it has sound facilities. You can set the sound to be used for the bell under the VNCviewer section of 'Sounds' in the Control Panel. Often a beep will happen because you are being notified of something such as email arriving or compilation finishing. This switch causes a minimized vncviewer to be un-minimized when a bell character is received.
`-listen`
  In the internal version of VNC used at ORL, the server can initiate connections to the clients under CORBA control. This switch puts vncviewer into listening mode where it can accept these connections, but it also has a useful side-effect which may be of interest to those outside ORL using the public version. A listening vncviewer does not pop up a connection dialog, but instead installs itself in the system tray. From there you can easily start up new connections and can set default options to be used for them during this instance of the program.
`-keyboard kbdname`
  Windows uses an internal and not very helpful name for the keyboard layout currently selected for an application. You can see the one being used by vncviewer if you select 'Connection Info' from the system menu of the viewer window. If you change the keyboard settings and then make a note of this, you can specify it on the command line to cause vncviewer to attempt to load this in the future. Note that vncviewer does not currently support 'dead keys', and that the differences between language and keyboard are confusing and the way they are handled is different in Windows 95 and NT. But this may help a bit.
`-logfile filename`
  VNCviewer (R6 and later) has a logging mechanism which can save some debugging information to a file or display it on a console. This option specifies the name of a file to which a log will be written.
`-loglevel n`
  This option controls the amount of logging information sent to the log file. The default is zero, and higher values (up to about 12) will provide more detail.

`-console`
  In addition to, or instead of, logging to a file, this option will cause the debugging information to be sent to a console window.
`-viewonly`
  In View-only mode, no mouse or keyboard events will be sent back to the server. This is useful for teaching sessions or other situations where you want to observe but don't want to interfere.
`-restricted`
  In restricted mode, most of the items are removed from the menu, so that the user cannot, for example, send a Ctrl-Alt-Del to the remote end.

### Full-screen mode

Vncviewer can now be switched into a fullscreen mode. This is particularly useful when connecting to a remote screen which is the same size as your local one. If the remote screen is bigger, you won't get any scrollbars, but you can scroll by bumping the mouse against the edge of the screen.

To leave fullscreen mode you must disable it from the menu, but the menu is no longer visible! So you have to bring the taskbar to the front by typing Ctrl-Esc Esc, and then right-click on the vncviewer icon. A dialog box will appear when you select fullscreen mode to remind you of this; if, after a while you get annoyed with the dialog box, you can disable it by creating a DWORD registry value named
`HKEY_CURRENT_USER\Software\ORL\`
`VNCviewer\Settings\SkipFullScreenPrompt`

and setting it to 1. A simpler method will be in a future version!

See also 'What's new in the Windows VNC package?'

go back to documentation

For comments, feedback, etc, please see the 'Keeping in touch' page.
Copyright 1998 - The Olivetti & Oracle Research Lab